#!/usr/bin/perl -w
use strict;

# job parameter definition

my $queue = 'qb32s';
my $log   = 'testlog';
my $exe   = 'bridge.elf';
#my $tasks_per_node = '1';
my $tasks_per_node = '4';
#my $tasks_per_node = '8';


my $init = $ARGV[0];
my $fin  = $ARGV[1];

chomp(my $dir = `pwd`);
$dir = $dir .'/';

my $tmpno = $init;

while($tmpno<$fin+1){

  my $jobfile = 'job_'.$queue.'.tmp'.$tmpno ;
  my $logfile = $log.'.tmp'.$tmpno ;

  print("Job script file: $jobfile\n");

  open JCF, "> $jobfile";
  print(JCF "jobclass=$queue\n");
  print(JCF "outputfile=$dir$logfile\n");
  print(JCF "errorfile=$dir$logfile.err\n");
  print(JCF "workingdir=$dir\n");
  print(JCF "tasks_per_node=$tasks_per_node\n");
  print(JCF "executable=$dir$exe\n");
  close JCF;

  system "bllsubmit", $jobfile;
  print("\n");

  $tmpno++;

};
